// TokDump.h : Deklaracja CTokDump

#ifndef __TOKDUMP_H_
#define __TOKDUMP_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CTokDump
class ATL_NO_VTABLE CTokDump : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CTokDump, &CLSID_TokDump>,
	public IDelegatingDispImpl<DTokDump, ITokDump>,
    public ITokDump2
{
public:
	CTokDump()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_TOKDUMP)

DECLARE_PROTECT_FINAL_CONSTRUCT()
DECLARE_GET_CONTROLLING_UNKNOWN()

BEGIN_COM_MAP(CTokDump)
	COM_INTERFACE_ENTRY2(ITokDump, ITokDump2)
	COM_INTERFACE_ENTRY(IDispatch)
    COM_INTERFACE_ENTRY(ITokDump2)
END_COM_MAP()

// ITokDump
public:
	STDMETHODIMP TokenDump(/*[in]*/ DWORD grfOptions, /*[out, retval]*/ BSTR* pVal);
    STDMETHODIMP DumpThisToken(long htok, /*[in]*/ DWORD grfOptions, /*[out, retval]*/ BSTR* pVal);
};

#endif //__TOKDUMP_H_
